# exports / triggers

## Client Exports / Triggers

<table><thead><tr><th width="445" align="center">Export</th><th align="center">Result</th></tr></thead><tbody><tr><td align="center">exports.brutal_policejob:getAvailableMechanicsCount()</td><td align="center">Number of mechanicers on duty on the server.</td></tr><tr><td align="center">TriggerEvent('brutal_mechanicjob:client:ToggleDuty')</td><td align="center">Switch between the duty status. ON/FALSE</td></tr><tr><td align="center">TriggerEvent('brutal_mechanicjob:Towing')</td><td align="center">Start towing job </td></tr><tr><td align="center">TriggerEvent('brutal_mechanicjob:DiagnosticTablet')</td><td align="center">Open diagnostic tablet</td></tr></tbody></table>

For example:

```lua
local onliceMechanicers = exports.brutal_policejob:getAvailableMechanicsCount()
if onliceMechanicers >= 3 then
     print('enough mechanicers')
end
```

## Server Events

```lua
TriggerEvent('brutal_policejob:server:getAvailableMechanicsCount', source, function(value)
    onliceMechanicers =  value
end)

--With this event you can get the player's Duty status. (true = false)

local player_job_name = YOU_SHOULD_DEFINIED_IT
TriggerEvent('brutal_mechanicjob:server:GetDutyStatus', source, player_job_name, function(DutyStatus)
    if DutyStatus then
        print('Duty Status: true')
    else
        print('Duty Status: false')
    end
end)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brutalscripts.com/site/scripts/mechanic-job/exports-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
